package com.cloudcross.ssp.back.service;

import java.util.List;

import com.cloudcross.ssp.back.model.User;
import com.cloudcross.ssp.back.model.UserGroup;
import com.cloudcross.ssp.base.service.IGenericService;

/**
 * 用户服务接口定义。
 * 
 * @author qaohao
 */
public interface IUserService extends IGenericService<User> {
	User findByUsername(String username);

	boolean add(String userGroupType, User user);
	
	List<User> findByUserGroupType(String userGroupType);
	
	UserGroup findUserGroupById(Long userGroupId);
}